package com.supervision.manage.controller.diseasemanage;


import com.supervision.manage.service.DiseasePhysicalManageService;
import com.supervision.vo.manage.DiseasePhysicalResVo;
import com.supervision.model.DiseasePhysical;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "疾病体格检查管理")
@RestController
@RequestMapping("diseasePhysical")
@RequiredArgsConstructor
public class DiseasePhysicalManageController {


    private final DiseasePhysicalManageService diseasePhysicalManageService;

    @ApiOperation("新增体格检查信息")
    @PostMapping("/save")
    public String savePhysical(@RequestBody DiseasePhysical diseasePhysical) {

        DiseasePhysical result = diseasePhysicalManageService.savePhysical(diseasePhysical);
        return result.getId();
    }

    @ApiOperation("删除体格检查")
    @DeleteMapping("/delete")
    public boolean deletePhysical(@RequestParam String id) {

        return diseasePhysicalManageService.deletePhysical(id);

    }

    @ApiOperation("修改体格检查信息")
    @PutMapping("/update")
    public boolean updatePhysical(@RequestBody DiseasePhysical diseasePhysical) {

        return diseasePhysicalManageService.updatePhysical(diseasePhysical);

    }

    @ApiOperation("根据疾病id查询体格检查列表")
    @GetMapping("/queryListByDiseaseId")
    public List<DiseasePhysicalResVo> queryListByDiseaseId(String diseaseId) {

        return diseasePhysicalManageService.queryListByDiseaseId(diseaseId);

    }

}
